<%@ page import="com.ether.WebHelper" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<script type="text/javascript">

    var InterfaceStatistics = Class.create( {
        initialize: function()
        {
            /** *********** CONTAINERS *********** **/
            this.parent = $( "#containerMiddle" );
            this.containerMenu = $( "#menuCircle" );

            /** *********** VARIABLES *********** **/
            this.language = '<spring:message code="language"/>';
            this.webmaster = "<%=WebHelper.getProperty(request, "mail.webmaster")%>";
            this.numberProjects = {"logo_acomida.jpg", "logo_ECCAD.gif", "logo_gosat.jpg", "logo_Megapoli.png", "logo_Ether.jpg", "logo_mimosa.png"};

            this.bindButtons();
            this.createDivs();
            this.createCircleMenu();
            $( ".containerToDrag" ).draggable();
        },


        // CREATES AND BINDS ********************************************************
        bindButtons: function()
        {
            $( "#home_button" ).bind( "dblclick", this.onClickHome );
            $( "#language_button" ).bind( "dblclick", jQuery.proxy( this.onClickLanguage, this ) );
            $( "#mail_button" ).bind( "dblclick", this.onClickMail );
            $( "#login_button" ).bind( "dblclick", jQuery.proxy( this.onClickLogin, this ) );
        },

        createDivs: function()
        {
            var div1 = this.createDiv( "div1", "150", "200", "200", "100", "Main statistics", "content" );
            this.parent.append( div1 );
            var div2 = this.createDiv( "div2", "250", "200", "150", "300", "MEGAPOLI Statistics", "content" );
            this.parent.append( div2 );
            var div3 = this.createDiv( "div3", "150", "200", "300", "600", "TAPAS Statistics", "content" );
            this.parent.append( div3 );
        },

        createDiv: function( id, width, height, top, left, title, content )
        {
            var divContainer = $( document.createElement( "div" ) );
            divContainer.addClass( "containerStatistics containerToDrag" );
            divContainer.attr( {id:id, style:"width:" + width + "px; height:" + height + "px; top:" + top + "px; left:" + left + "px"} );
            var divTitle = $( document.createElement( "div" ) );
            divTitle.addClass( "containerStatisticsTitle" );
            divTitle.html( title );
            divTitle.attr( {style:"width:" + (width - 7) + "px"} );
            divContainer.append( divTitle );
            var divContent = $( document.createElement( "div" ) );
            divContent.addClass( "containerStatisticsContent" );
            divContent.html( content );
            divContainer.append( divContent );
            return divContainer;
        },

        createCircleMenu: function()
        {
            var menuWidth = 300;
            var nbLogosForWidth = (this.numberProjects / 2) + 1;
            var logoWidth = menuWidth / nbLogosForWidth;

        },

        // REQUESTS ********************************************************
        requestChangeLocale: function()
        {
            $.ajax( {
                url: "project?methodName=setLocale&language=<spring:message code="label.language.value.to.switch"/>",
                success:function()
                {
                    location.reload();
                }
            } );
        },

        // HANDLES ******************************************************** = retours ajax
        handleCreateXML: function( result )
        {
            this.loadingRequest.hide();
            //this.loadingRequest.display();

            var res = jQuery.parseJSON( result ).result;
            alert( res );
        },


        // EVENTS ********************************************************
        onClickHome: function()
        {
            location.reload();
        },

        onClickLanguage: function()
        {
            this.requestChangeLocale();
        },

        onClickMail: function()
        {
            document.location.href = "mailto:" + this.webmaster + "?subject=[STATISTICS]";
        },

        onClickLogin: function()
        {
            if( 88 == $( "#login_bg" ).width() )
                this.enlargeLogin();
            else
                this.reduceLogin();
        },

        onClickButtonLogin: function()
        {
            // TODO reduce cloud

        },

        // OTHERS ********************************************************
        reduceLogin: function()
        {
            $( "#login_text" ).css( "visibility", "hidden" );
            $( "#login_bg" ).animate( {
                opacity: 1,
                height:'60px',
                width:'78px'
            }, 5000, function()
            {
            } );

            $( "#login_button" ).animate( {
                top:'16px',
                left: '20px'
            }, 5000, function()
            {
            } );
        },

        enlargeLogin: function()
        {
            $( "#login_bg" ).animate( {
                opacity: 0.45,
                height:'500px',
                width:'500px'
            }, 5000, function()
            {
                $( "#login_text" ).css( "visibility", "visible" );
            } );

            $( "#login_button" ).animate( {
                top:'82px',
                left: '155px'
            }, 5000, function()
            {
            } );
        }

    } );

</script>
